import * as i0 from '@angular/core';
import { Component, Injectable, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from 'ngx-bootstrap/modal';
import { BsModalRef, BsModalService, ModalModule } from 'ngx-bootstrap/modal';

class DynamicModalComponent {
    constructor(bsModalRef) {
        this.bsModalRef = bsModalRef;
        this.list = [];
    }
    ngOnInit() {
        console.warn(this.title);
        this.list.push('PROFIT!!!');
    }
}
DynamicModalComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-dynamic-modal',
                template: "<div class=\"modal-header\">\n    <h4 class=\"modal-title pull-left\">{{title}}</h4>\n    <button type=\"button\" class=\"close pull-right\" aria-label=\"Close\" (click)=\"bsModalRef.hide()\">\n        <span aria-hidden=\"true\">&times;</span>\n    </button>\n</div>\n<div class=\"modal-body\">\n    <ul *ngIf=\"list.length\">\n        <li *ngFor=\"let item of list\">{{item}}</li>\n    </ul>\n</div>\n<div class=\"modal-footer\">\n    <button type=\"button\" class=\"btn btn-default\" (click)=\"bsModalRef.hide()\">{{closeBtnName}}</button>\n</div>",
                styles: [""]
            },] }
];
DynamicModalComponent.ctorParameters = () => [
    { type: BsModalRef }
];

class DynamicModalService {
    constructor(modalService) {
        this.modalService = modalService;
    }
    openModalWithComponent(params) {
        const bsConfig = {
            animated: true,
            keyboard: false,
            background: true,
            ignoreBackdropClick: true
        };
        const initialState = {
            title: '123',
            body: 'boet',
            closeBtn: true
        };
        // this.bsModalRef.content.closeBtnName = '';
        this.bsModalRef = this.modalService.show(DynamicModalComponent, Object.assign(bsConfig, { class: 'modal-dialog-centered' }, { initialState }));
        // Object.assign(bsConfig, { class: 'modal-dialog-centered' }, { initialState }));
        // this.bsModalRef.content.closeBtnName = 'Close';
    }
}
DynamicModalService.ɵprov = i0.ɵɵdefineInjectable({ factory: function DynamicModalService_Factory() { return new DynamicModalService(i0.ɵɵinject(i1.BsModalService)); }, token: DynamicModalService, providedIn: "root" });
DynamicModalService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
DynamicModalService.ctorParameters = () => [
    { type: BsModalService }
];

class DynamicModalModule {
    static forRoot() {
        return {
            ngModule: DynamicModalModule,
            providers: [
                DynamicModalService
            ]
        };
    }
}
DynamicModalModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    DynamicModalComponent
                ],
                exports: [
                    DynamicModalComponent
                ],
                imports: [
                    CommonModule,
                    ModalModule.forRoot()
                ],
                providers: [
                    DynamicModalService
                ]
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { DynamicModalComponent, DynamicModalModule, DynamicModalService };
//# sourceMappingURL=a365dynamic-modal.js.map
